--[[
Producer - a framework for World of Warcraft professions

Copyright (C) 2006-2008  Prat Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:
	
Free Software Foundation, I.,
51 Franklin Street, Fifth Floor,
Boston, MA  02110-1301, USA.
--]]

local AL = LibStub('AceLocale-3.0')

do
	local L = AL:NewLocale('Producer', 'enUS', true)
	L.Description  = 'Description'
	L.Version      = 'Version: %s %s(%s)%s'
	L.VersionDesc  = 'Prints the current version'
	L.LockName     = 'Button Lock'
	L.LockDesc     = 'Lock all bars after select there positions.'
	L.DebugName    = 'Debug'
	L.DebugDesc    = 'Show debug messages. Only need for testing.'
	L.Presorting   = 'Presorting'
	L.EnabledName  = 'Enabled'
	L.EnabledDesc  = 'Activate the addon and hide the Blizzard standard bars.'
	L.SortName     = 'Sorting'
	L.SortDesc     = 'Description SortDesc'
	L.SelectName   = 'Selection'
	L.SelectDesc   = 'Description SelectDesc'
	L.LevelName    = 'Level'
	L.LevelDesc    = 'Description LevelDesc'
	L.OrangeName   = 'Oranges'
	L.OrangeDesc   = 'Description OrangeDesc'
	L.YellowName   = 'Yellows'
	L.YellowDesc   = 'Description YellowDesc'
	L.CanMakeName  = 'Can Make'
	L.CanMakeDesc  = 'Description CanMakeDesc'
	L.FavoriteName = 'Favorite'
	L.FavoriteDesc = 'Description FavoriteDesc'
	L.IconName     = 'Show Icons'
	L.IconDesc     = 'Description IconDesc'
	L.SmoothName   = 'Smooth Difficulty Coloring'
	L.SmoothDesc   = 'Description SmoothDesc'
	L.CraftTipsName    = 'Craft Tooltips'
	L.CraftTipsDesc    = 'Description CraftTipsDesc'
	L.ReagentTipsName  = 'Regent Tooltips'
	L.ReagentTipsDesc  = 'Description ReagentTipsDesc'
	L.MoneyName   = 'Money Summary'
	L.MoneyDesc   = 'Description MoneyDesc'
	L.SortNone       = 'unsorted'
	L.SortLevel      = 'level'
	L.SortDifficulty = 'difficulty'
	L.SortAlpha      = 'alphabetical'
	L.Trades         = 'Professions'
	L.Profile        = 'Profile'
	L.AvailableProfiles = 'Available Profiles'
	L.ProfileCreated    = 'Created new profile "%s"'
	L.ProfileLoaded     = 'Set profile to "%s"'
	L.ProfileDeleted    = 'Deleted profile "%s"'
	L.ProfileCopied     = 'Copied settings from "%s"'
	L.ProfileReset      = 'Reset profile "%s"'
	L.Oranges   = 'oranges recipe'
	L.Yellows   = 'yellows recipe'
	L.CanMake   = 'can make'
	L.Vendor    = 'vendor'
	L.Bank      = 'bank'
	L.CannotCreate = 'cannot create anything'
	L.MarketValue  = 'market value:'
	L.VendorValue  = 'vendor value:'
	L.CreateOne    = 'Create 1'
	L.CreateNum    = 'Create more'
	L.CreateAll    = 'Create all'
	L.Cast         = 'Cast'
	L.LinkResult   = 'LinkResult'
	L.LinkRecipe   = 'LinkRecipe!'
	L.Favorite     = 'Favorite'
	L.Cooldown     = 'cool down'
	L.Grouping     = 'Grouping'
	L.Unknown      = 'unknown'
	L.MatsCost     = 'Mats Cost'
	L.Unsorted     = 'unsorted'
	L.SwitchChar   = 'SwitchChar'
	L.SwitchSelect = 'SwitchSelect'
	L.SaveChar     = 'SaveChar'
	L.DeleteChar   = 'DeleteChar'
	L.CloseMenu    = 'Close'
	L.SwitchCharacter = 'Switch Character'
	L.Default = 'Default'
end
do
	local L = AL:NewLocale('Producer', 'deDE')
	if L then 
		L.Description  = 'Description'
		L.Version      = 'Version: %s %s(%s)%s'
		L.VersionDesc  = 'Druckt die aktuelle Version aus'
		L.LockName     = 'Buttons verriegeln'
		L.LockDesc     = 'Nach Anpassung der Positionen der einzelnen Leisten, werden diese verriegelt.'
		L.DebugName    = 'Debug'
		L.DebugDesc    = 'Zeige Debug Nachrichten an. Wird nur zum Testen gebraucht.'
		L.Presorting   = 'Vorsortierung'
		L.EnabledName  = 'Aktivieren'
--		L.EnabledDesc  = 'Aktiviert das Addon und versteckt die Standardanzeige von Blizzard.'
		L.SortName     = 'Sortierung'
--		L.SortDesc     = ''
		L.SelectName   = 'Selektion'
--		L.SelectDesc   = ''
		L.LevelName    = 'Level'
--		L.LevelDesc    = ''
		L.OrangeName   = 'Orangefarbene Rezepte'
--		L.OrangeDesc   = ''
		L.YellowName   = 'Gelbe Rezepte'
--		L.YellowDesc   = ''
		L.CanMakeName  = 'herstellbare Gegenstände'
--		L.CanMakeDesc  = ''
		L.FavoriteName = 'Favoriten'
--		L.FavoriteDesc = ''
		L.IconName     = 'Symbole anzeigen'
--		L.IconDesc     = ''
		L.SmoothName   = 'weichen Farbübergängen'
--		L.SmoothDesc   = ''
		L.CraftTipsName    = 'Rezept Tooltips'
--		L.CraftTipsDesc    = ''
		L.ReagentTipsName  = 'Reagenzien Tooltips'
--		L.ReagentTipsDesc  = ''
		L.MoneyName   = 'Herstellungskosten'
--		L.MoneyDesc   = ''
		L.SortNone       = 'unsortiert'
		L.SortLevel      = 'nach Level'
		L.SortDifficulty = 'nach Schwierigkeit'
		L.SortAlpha      = 'alphabetisch'
		L.Trades         = 'Berufe'
		L.Profile        = 'Profil'
		L.AvailableProfiles = 'Verfügbare Profile'
		L.ProfileCreated    = 'Erstellt ein neues Profil "%s"'
		L.ProfileLoaded     = 'Setze Profil auf "%s"'
		L.ProfileDeleted    = 'Lösche Profil "%s"'
		L.ProfileCopied     = 'Kopiere Werte von "%s"'
		L.ProfileReset      = 'Rücksetzen Profil "%s"'
		L.Oranges   = 'Orangefarbene Rezepte'
		L.Yellows   = 'Gelbe Rezepte'
		L.CanMake   = 'herstellbare Gegenstände'
		L.Vendor    = 'Händler'
		L.Bank      = 'Bank'
		L.CannotCreate = 'nichts herstellbar'
		L.MarketValue  = 'Marktpreis:'
		L.VendorValue  = 'Händlerpreis:'
		L.CreateOne    = '1 Erstellen'
		L.CreateNum    = 'Mehrere Erstellen'
		L.CreateAll    = 'Alle Erstellen'
		L.Cast         = 'Verzaubern'
		L.LinkResult   = 'Ergebnis linken'
		L.LinkRecipe   = 'Rezept linken!'
		L.Favorite     = 'Favorit'
		L.Cooldown     = 'Restzeit'
		L.Grouping     = 'Gruppierung'
		L.Unknown      = 'unbekannt'
		L.MatsCost     = 'Materialien Kosten'
		L.Unsorted     = 'unsortiert'
		L.SwitchChar   = 'Charakter wechseln'
		L.SwitchSelect = 'Sortierung wechseln'
		L.DeleteChar   = 'Charakter löschen'
		L.SaveChar     = 'Charakter speichern'
		L.CloseMenu    = 'Schließen'
		L.SwitchCharacter = 'Charakter wechseln'
--		L.Default = 'Vorgabe'
	end
end

do
	local L = AL:NewLocale('Producer', 'frFR') -- I need help on this translation
	if L then 
	end
end

do
	local L = AL:NewLocale('Producer', 'esES') -- I need help on this translation
	if L then 
	end
end

do
	local L = AL:NewLocale('Producer', 'ruRU') -- I need help on this translation
	if L then 
	end
end

do
	local L = AL:NewLocale('Producer', 'koKR') -- I need help on this translation
	if L then 
	end
end

do
	local L = AL:NewLocale('Producer', 'zhCN') -- I need help on this translation
	if L then 
	end
end

do
	local L = AL:NewLocale('Producer', 'zhTW') -- I need help on this translation
	if L then 
	end
end
